## kate 18.08.0

=== CMakeLists.txt ===
# Kate project
project (kate)

# minimal requirements
cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.4.0")
set(KF5_DEP_VERSION "5.13.0") # we need KMultiTabBar::appendButton(const QIcon &..., ...)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "18")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "0")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

# we need some parts of the ECM CMake helpers
find_package (ECM 1.1.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMAddAppIcon) 
include(GenerateExportHeader)

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include (CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Sql)

if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()

# Load the frameworks we need
find_package(KF5 "${KF5_DEP_VERSION}" REQUIRED COMPONENTS
  Config
  Crash
  I18n
  JobWidgets
  KIO
  Parts
  TextEditor
  WindowSystem
  XmlGui
  IconThemes
)

# some optional deps, to make compiling on some OSes easier
find_package(KF5 "${KF5_DEP_VERSION}" COMPONENTS
  Activities
  DocTools
)

if (KF5Activities_FOUND)
    add_definitions(-DKActivities_FOUND)
endif ()

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

# config.h
check_function_exists (ctermid HAVE_CTERMID)
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# let our config.h be found first in any case
include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR})

# kwrite
ecm_optional_add_subdirectory (kwrite)

# kate application
ecm_optional_add_subdirectory (kate)

# addons, e.g. kate plugins, plasma applets, ...
ecm_optional_add_subdirectory (addons)

# docs, if doc tools around
if (KF5DocTools_FOUND)
    ecm_optional_add_subdirectory (doc)
endif ()

# tell about our features (and what is missing)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== kate/CMakeLists.txt ===
#
# The Kate Application
#
project(kate)

# Load the frameworks we need
find_package(KF5 REQUIRED COMPONENTS DBusAddons GuiAddons)

# includes
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/session
  ${CMAKE_CURRENT_SOURCE_DIR}/qtsingleapplication
)

# collect the needed source files
set (KATE_LIBRARY_SRCS
   kateappadaptor.cpp
   kateapp.cpp
   kateconfigdialog.cpp
   kateconfigplugindialogpage.cpp
   katedocmanager.cpp
   katemainwindow.cpp
   katepluginmanager.cpp
   kateviewmanager.cpp
   kateviewspace.cpp
   katesavemodifieddialog.cpp
   katemwmodonhddialog.cpp
   katecolorschemechooser.cpp

   katetabbutton.cpp
   katetabbar.cpp

   # session
   session/katesessionchooser.cpp
   session/katesessionsaction.cpp
   session/katesessionmanager.cpp
   session/katesessionmanagedialog.cpp
   session/katesessionopendialog.cpp
   session/katesession.cpp

   katemdi.cpp
   katerunninginstanceinfo.cpp
   katequickopen.cpp
   katewaiter.h
)

ki18n_wrap_ui(KATE_LIBRARY_SRCS
    ui/sessionconfigwidget.ui
)

qt5_add_resources( KATE_LIBRARY_SRCS data/kate.qrc )

add_library(kdeinit_kate STATIC ${KATE_LIBRARY_SRCS})
target_link_libraries(kdeinit_kate
PUBLIC
    KF5::TextEditor
    KF5::I18n
    KF5::IconThemes
    KF5::WindowSystem
    KF5::GuiAddons
    KF5::DBusAddons
    KF5::Crash)

if(KF5Activities_FOUND)
    target_link_libraries(kdeinit_kate
    PUBLIC
    KF5::Activities)
endif()

generate_export_header(kdeinit_kate
  EXPORT_FILE_NAME kateprivate_export.h
  EXPORT_MACRO_NAME KATE_TESTS_EXPORT
)

# collect icons
set(KATE_ICONS_PNG
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/16-apps-kate.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/22-apps-kate.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/32-apps-kate.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/48-apps-kate.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/64-apps-kate.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/128-apps-kate.png
)

set(KATE_ICONS_SVG
${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kate.svgz
)

# application only sources
set (KATE_APP_SRCS
    main.cpp
)

# use single application instead of dbus on mac + windows
if (APPLE OR WIN32)
    set(singleapp_SRCS
        qtsingleapplication/qtlocalpeer.cpp
        qtsingleapplication/qtsingleapplication.cpp
        qtsingleapplication/qtlockedfile.cpp
    )

    if(WIN32)
        set(singleapp_SRCS ${singleapp_SRCS} qtsingleapplication/qtlockedfile_win.cpp)
    else()
        set(singleapp_SRCS ${singleapp_SRCS} qtsingleapplication/qtlockedfile_unix.cpp)
    endif()

    add_definitions("-DUSE_QT_SINGLE_APP")

    set(KATE_APP_SRCS ${KATE_APP_SRCS} ${singleapp_SRCS})
endif()

# add icons to application sources, to have them bundled
ecm_add_app_icon(KATE_APP_SRCS ICONS ${KATE_ICONS_PNG})

# create executable
add_executable(kate ${KATE_APP_SRCS})
target_link_libraries(kate kdeinit_kate)

# own plist magic for mac os
if(APPLE)
    # own plist template
    set_target_properties (kate PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in)

    # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
    # so has to be set for all targets in this cmake file
    set(MACOSX_BUNDLE_DISPLAY_NAME Kate)
    set_target_properties(kate PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Kate")
    set_target_properties(kate PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Kate")
    set_target_properties(kate PROPERTIES MACOSX_BUNDLE_DISPLAY_NAME "Kate")
    set_target_properties(kate PROPERTIES MACOSX_BUNDLE_INFO_STRING "Kate - Advanced Text Editor")
    set_target_properties(kate PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "Kate ${KDE_APPLICATIONS_VERSION}")
    set_target_properties(kate PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}")
    set_target_properties(kate PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${KDE_APPLICATIONS_VERSION}")
    set_target_properties(kate PROPERTIES MACOSX_BUNDLE_COPYRIGHT "2000-2016 The Kate Authors")
endif()

# install executable
install(TARGETS kate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# desktop file
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kate.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR})

# appdata
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kate.appdata.xml DESTINATION  ${CMAKE_INSTALL_METAINFODIR})

# install icons
ecm_install_icons(ICONS ${KATE_ICONS_PNG} ${KATE_ICONS_SVG} DESTINATION ${ICON_INSTALL_DIR} THEME hicolor)

# automatic unit tests
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== addons/filetree/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"katefiletree\")
project(katefiletreeplugin)

set(katefiletree_PART_SRCS katefiletree.cpp katefiletreemodel.cpp katefiletreeproxymodel.cpp )
set(katefiletreeplugin_PART_SRCS katefiletreeplugin.cpp katefiletreeconfigpage.cpp katefiletreepluginsettings.cpp )

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

add_library (katefiletree STATIC  ${katefiletree_PART_SRCS})
set_target_properties(katefiletree PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
target_link_libraries(katefiletree
PUBLIC
  KF5::TextEditor
  KF5::I18n
  KF5::GuiAddons
  KF5::IconThemes
)

# resource for ui file and stuff
qt5_add_resources(katefiletreeplugin_PART_SRCS plugin.qrc)

add_library (katefiletreeplugin MODULE  ${katefiletreeplugin_PART_SRCS})
target_link_libraries(katefiletreeplugin katefiletree)

install(TARGETS katefiletreeplugin  DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor )

kcoreaddons_desktop_to_json (katefiletreeplugin katefiletreeplugin.desktop)

############# unit tests ################
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== addons/katesql/CMakeLists.txt ===
project(katesqlplugin)

add_definitions(-DTRANSLATION_DOMAIN=\"katesql\")
include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

set(katesql_SRCS
  katesqlplugin.cpp
  katesqlview.cpp
  connectionmodel.cpp
  sqlmanager.cpp
  cachedsqlquerymodel.cpp
  dataoutputmodel.cpp
  dataoutputview.cpp
  dataoutputwidget.cpp
  textoutputwidget.cpp
  schemawidget.cpp
  schemabrowserwidget.cpp
  connectionwizard.cpp
  katesqlconfigpage.cpp
  exportwizard.cpp
  outputstylewidget.cpp
  outputwidget.cpp
)

# resource for ui file and stuff
qt5_add_resources(katesql_SRCS plugin.qrc)

add_library (katesqlplugin MODULE ${katesql_SRCS})

kcoreaddons_desktop_to_json (katesqlplugin katesql.desktop)

target_link_libraries(katesqlplugin
    KF5::TextEditor
    KF5::Parts KF5::I18n KF5::Wallet
    Qt5::Sql KF5::ItemViews KF5::IconThemes)

install(TARGETS katesqlplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor )

=== addons/project/CMakeLists.txt ===
project(kateprojectplugin)

find_package(KF5NewStuff ${KF5_DEP_VERSION} REQUIRED) # For KMoreTools

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

add_definitions(-DTRANSLATION_DOMAIN=\"kateproject\")
set(kateprojectplugin_PART_SRCS
  fileutil.cpp
  kateprojectplugin.cpp
  kateprojectpluginview.cpp
  kateproject.cpp
  kateprojectworker.cpp
  kateprojectitem.cpp
  kateprojectview.cpp
  kateprojectviewtree.cpp
  kateprojecttreeviewcontextmenu.cpp
  kateprojectinfoview.cpp
  kateprojectcompletion.cpp
  kateprojectindex.cpp
  kateprojectinfoviewindex.cpp
  kateprojectinfoviewterminal.cpp
  kateprojectinfoviewcodeanalysis.cpp
  kateprojectinfoviewnotes.cpp
  kateprojectconfigpage.cpp
  kateprojectcodeanalysistool.cpp
  tools/kateprojectcodeanalysistoolcppcheck.cpp
  tools/kateprojectcodeanalysistoolflake8.cpp
  tools/kateprojectcodeanalysisselector.cpp
)

# resource for ui file and stuff
qt5_add_resources(kateprojectplugin_PART_SRCS plugin.qrc)

add_library(kateprojectplugin MODULE ${kateprojectplugin_PART_SRCS})
kcoreaddons_desktop_to_json (kateprojectplugin kateprojectplugin.desktop)
target_link_libraries(kateprojectplugin
    KF5::TextEditor
    KF5::Parts KF5::I18n
    KF5::GuiAddons
    KF5::ItemViews KF5::ItemModels KF5::IconThemes KF5::ThreadWeaver
    KF5::NewStuff # For KMoreTools
)

########### install files ###############
install(TARGETS kateprojectplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor )
install( FILES kateproject.example DESTINATION  ${DATA_INSTALL_DIR}/kateproject )

############# unit tests ################
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== addons/replicode/CMakeLists.txt ===
project(katereplicodeplugin)

add_definitions(-DTRANSLATION_DOMAIN=\"kate-replicode-plugin\")

# Set source variables
set(katereplicode_SRCS
    replicodeplugin.cpp
    replicodeconfigpage.cpp
    replicodeconfig.cpp
    replicodesettings.cpp
    replicodeview.cpp
)

# Generate files
ki18n_wrap_ui(katereplicode_SRCS config.ui)

# resource for ui file and stuff
qt5_add_resources(katereplicode_SRCS plugin.qrc)

add_library(katereplicodeplugin MODULE ${katereplicode_SRCS})

kcoreaddons_desktop_to_json(katereplicodeplugin katereplicodeplugin.desktop)

# Link it all together
target_link_libraries(katereplicodeplugin
    KF5::TextEditor
    KF5::IconThemes
    KF5::I18n
)

# Install
install(TARGETS katereplicodeplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/project/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
)

# Project Plugin
set(ProjectPluginSrc test1.cpp ${CMAKE_CURRENT_SOURCE_DIR}/../fileutil.cpp)
add_executable(projectplugin_test ${ProjectPluginSrc})
add_test(plugin-project_test projectplugin_test)
target_link_libraries(projectplugin_test kdeinit_kate Qt5::Test)
ecm_mark_as_test(projectplugin_test)

=== debian/changelog ===
kate (4:18.08.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:27:57 +0800

kate (4:18.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Sep 2018 07:22:28 +0200

kate (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the undeed qtscript5-dev build dependency.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Update install files.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 09:44:51 +0200

kate (4:17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Switch the transitional plasma-framework-dev build dependency with
    libkf5plasma-dev.
  * Ship also the translated man pages of kate.
  * Ship the desktop file to enable the Plasma applet katesessions.
  * Do not pass -DPYTHON_LIBRARY=etc anymore to cmake, since it is not used.
  * Remove unused library stuff from debian/rules.
  * Add the "allow-stderr" restriction to the "testsuite" autopkgtest, since
    the tools that run produce output also on stderr.
  * Move the translations and icons of kwrite from kate5-data to kwrite
    - add proper breaks/replaces
  * Move the kate documentation from kate to kate5-data
    - add proper breaks/replaces
  * Remove debian/not-installed, no more useful now.
  * Remove the kde-l10n breaks/replaces from kate, since there is no translated
    material there.
  * Invoke dh_install with --fail-missing, so there is no risk of forgetting
    files.
  * Switch from the libgit2 library to the external git executable for the
    project plugin, since the code using libgit2 was deemed flaky, and removed
    in newer upstream versions
    - remove the libgit2-dev build dependency
    - add the git suggest in kate
  * Add more suggests for tools optionally used in kate: subversion, mercurial,
    darcs, and exuberant-ctags

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 10:52:12 +0100

kate (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n. (Closes: #883102)

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 07:51:36 +0100

kate (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #880173)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Switch the transitional kdoctools-dev build dependency to
    libkf5doctools-dev.
  * Remove unused build dependencies: kio-dev, libkf5notifications-dev, and
    libkf5service-dev.
  * Update lintian overrides.
  * Drop rules to remove files from debian/tmp, since the references files do
    not exist anymore in this source.
  * Update the relationships for spell checking:
    - recommend sonnet-plugins (Closes: #880800)
    - drop the aspell | ispell | hspell suggest

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 13:52:39 +0100

kate (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:53 +0200

kate (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:58:38 +0000

kate (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:32:42 +0000

kate (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:34 +0000

kate (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:26 +0000

kate (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:12:37 +0000

kate (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:58 +0000

kate (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:54 +0000

kate (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:57:07 +0000

kate (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:15:48 +0000

kate (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:24:32 +0000

kate (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:14 +0000

kate (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:16 +0000

kate (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:39 +0000

kate (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 24 Aug 2016 15:16:34 +0000

kate (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:03 +0000

kate (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:45:59 +0000

kate (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 20 May 2016 14:20:45 +0000



=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_install:
	$(overridden_command) --fail-missing

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kate-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus, kinit
Restrictions: build-needed, allow-stderr

## kate 18.12.3

=== debian/changelog ===
kate (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:26:17 +0000

kate (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:13:40 +0000

kate (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:56 +0000

kate (4:18.12.0-0ubuntu2) disco; urgency=medium

  * Disable test that needs fixing upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 20:43:14 +0000

kate (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:33 +0000

kate (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/tests/testsuite: Keep Kubuntu setup.
    - Bumped build deps.
    - Kubuntu Vcs fields.
    - Breaks/Replaces to suit Kubuntu upload history.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 20:34:04 +0000

## kate 19.04.3

=== debian/changelog ===
kate (4:19.04.3-0ubuntu2.1) eoan; urgency=medium

  * Backport upstream patch to fix externally opened files no longer
    opening in existing window. (LP: #1849455)
    - debian/patches: upstream_fix-dbus-session-registration.patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 24 Oct 2019 10:56:24 +0100

kate (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Add upstream_fix_missing_includes.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 19:40:10 +0100

kate (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:56 +0100

kate (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:02:13 +0100

kate (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * Drop upstream_fix-finding-test-binaries.patch included in 19.04.1
  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:56 +0100

kate (4:19.04.0-0ubuntu2) eoan; urgency=medium

  * debian/patches: Add upstream_fix-finding-test-binaries.patch
    Upstream KDE CI was allowing tests 'not run' due to failing to find test
    binaries to register as a 'skipped test', and hence CI job status were
    passing and brokenness went unnoticed. Our tests however flagged this as a
    FAIL, prompting this upstream patch to fix finding the test binaries.
    It should be noted that KDE CI tooling has also now been patched so this
    circumstance should not occur again.
  * debian/patches: Update kubuntu_disable-broken-test.patch

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 28 Apr 2019 11:35:56 +0100

kate (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:41:21 +0100

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libkf5activities-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5threadweaver-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.2.1
Homepage: http://kate-editor.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate

Package: kate
Section: editors
Architecture: any
Depends: kate5-data (>= ${source:Version}),
         ktexteditor-katepart,
         plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet-plugins
Suggests: darcs,
          exuberant-ctags,
          git,
          khelpcenter,
          konsole-kpart,
          mercurial,
          subversion,
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate5-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kate-data (<< 4:4.14.3-0ubuntu4), kate (<< 4:18.08.3~), ${kde-l10n:all}
Breaks: kate-data (<< 4:4.14.3-0ubuntu4), kate (<< 4:18.08.3~), ${kde-l10n:all}
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
Breaks: kate5-data (<< 4:18.08.3~), ${kde-l10n:all}
Replaces: kate5-data (<< 4:18.08.3~), ${kde-l10n:all}
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-6~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## kate 19.12.0

=== debian/changelog ===
kate (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - the LSP plugin is enabled by default (Closes: #941255)
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.1
    - bump Qt to 5.10.0
    - bump libkf5dbusaddons-dev to the same version of other KF packages
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Dec 2019 17:08:26 +0100

kate (4:19.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Oct 2019 11:53:48 +0200

kate (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump all the KF5 packages to 5.40.0
    - explicitly add gettext, and libkf5service-dev
  * Drop the migration from kate-dbg, no more needed after two Debian stable
    releases.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Thu, 26 Sep 2019 08:50:28 +0200

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.40.0~),
               gettext,
               kinit-dev (>= 5.6.0~),
               libkf5activities-dev (>= 5.40.0~),
               libkf5config-dev (>= 5.40.0~),
               libkf5crash-dev (>= 5.40.0~),
               libkf5dbusaddons-dev (>= 5.40.0~),
               libkf5doctools-dev (>= 5.10.0~),
               libkf5guiaddons-dev (>= 5.40.0~),
               libkf5i18n-dev (>= 5.40.0~),
               libkf5iconthemes-dev (>= 5.40.0~),
               libkf5itemmodels-dev (>= 5.40.0~),
               libkf5jobwidgets-dev (>= 5.40.0~),
               libkf5kio-dev (>= 5.40.0~),
               libkf5newstuff-dev (>= 5.40.0~),
               libkf5parts-dev (>= 5.40.0~),
               libkf5plasma-dev (>= 5.40.0~),
               libkf5service-dev (>= 5.40.0~),
               libkf5texteditor-dev (>= 5.40.0~),
               libkf5threadweaver-dev (>= 5.40.0~),
               libkf5wallet-dev (>= 5.40.0~),
               libkf5windowsystem-dev (>= 5.40.0~),
               libkf5xmlgui-dev (>= 5.40.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.4.1
Homepage: http://kate-editor.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kate.git

Package: kate
Section: editors
Architecture: any
Depends: kate5-data (>= ${source:Version}),
         ktexteditor-katepart,
         plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet-plugins
Suggests: khelpcenter, konsole-kpart, git, subversion, mercurial, darcs, exuberant-ctags
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate5-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
Breaks: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
Breaks: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
Replaces: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.

## kate 19.12.3

=== CMakeLists.txt ===
# 3.1 is required for `target_sources`.
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)

# KDE Applications version, managed by release script.
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kate VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION "5.10.0")
set(KF5_DEP_VERSION "5.40.0")

# We need some parts of the ECM CMake helpers.
find_package(ECM ${KF5_DEP_VERSION} QUIET REQUIRED NO_MODULE)

# We append to the module path so modules can be overriden from the command line.
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Allow adding Qt resource files with `add_executable` or `target_sources` instead of
# `qt5_add_resources`. See https://cmake.org/cmake/help/v3.0/manual/cmake-qt.7.html#autorcc.
set(CMAKE_AUTORCC ON)

include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)

include(ECMOptionalAddSubdirectory)
include(ECMAddAppIcon)
include(ECMInstallIcons)

include(FeatureSummary)

# forbid some old things
add_definitions(-DQT_NO_FOREACH)

# Required here so that the version comparison below works
find_package(Qt5Widgets ${QT_MIN_VERSION} CONFIG REQUIRED)

# Required here so that the ki18n_install/kdoctools_install calls injected by
# the release scripts work.
find_package(KF5 ${KF5_REQUIRED_VERSION}
    REQUIRED COMPONENTS
        I18n
    OPTIONAL_COMPONENTS
        DocTools
)

# Qt 5.13 deprecated QComboBox::currentIndexChanged(QString) and Qt 5.14 undid that...
if (NOT Qt5Widgets_VERSION VERSION_LESS 5.14.0)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
endif()

ecm_optional_add_subdirectory(addons)
ecm_optional_add_subdirectory(kwrite)
ecm_optional_add_subdirectory(kate)
ecm_optional_add_subdirectory(doc)

feature_summary(INCLUDE_QUIET_PACKAGES WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# this needs at least ECM 5.64...
if(${ECM_VERSION} VERSION_GREATER "5.63.0")
    include(KDEClangFormat)

    # add clang-format target for all our real source files
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== doc/CMakeLists.txt ===
find_package(KF5DocTools ${KF5_DEP_VERSION} QUIET)

if(NOT KF5DocTools_FOUND)
  return()
endif()

ecm_optional_add_subdirectory(kate)
ecm_optional_add_subdirectory(katepart)
ecm_optional_add_subdirectory(kwrite)

=== kate/CMakeLists.txt ===
# We use an intermediate static library because linking tests directly to an executable is not
# possible with CMake yet.
add_library(kate-lib STATIC "")

configure_file(config.h.in config.h)

include(GenerateExportHeader)
generate_export_header(
  kate-lib
  EXPORT_FILE_NAME katetests_export.h
  EXPORT_MACRO_NAME KATE_TESTS_EXPORT
)

target_include_directories(
  kate-lib
  PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/session
    ${CMAKE_CURRENT_SOURCE_DIR}/qtsingleapplication
    ${CMAKE_CURRENT_BINARY_DIR} # katetests_export.h + config.h
)

find_package(
  KF5 ${KF5_DEP_VERSION}
  QUIET
  REQUIRED
  COMPONENTS
    TextEditor
    IconThemes
    WindowSystem
    DBusAddons
    Crash
  OPTIONAL_COMPONENTS
    Activities
)

target_link_libraries(
  kate-lib
  PUBLIC
    KF5::TextEditor
    KF5::IconThemes
    KF5::WindowSystem
    KF5::DBusAddons
    KF5::Crash
)

if(KF5Activities_FOUND)
  target_link_libraries(kate-lib PUBLIC KF5::Activities)
endif()

ki18n_wrap_ui(UI_SOURCES ui/sessionconfigwidget.ui session/katesessionmanagedialog.ui)
target_sources(kate-lib PRIVATE ${UI_SOURCES})

target_sources(
  kate-lib
  PRIVATE
    data/kate.qrc

    session/katesession.cpp
    session/katesessionmanagedialog.cpp
    session/katesessionmanager.cpp
    session/katesessionsaction.cpp

    kateapp.cpp
    kateappadaptor.cpp
    katecolorschemechooser.cpp
    kateconfigdialog.cpp
    kateconfigplugindialogpage.cpp
    katedocmanager.cpp
    katefileactions.cpp
    katemainwindow.cpp
    katemdi.cpp
    katemwmodonhddialog.cpp
    katepluginmanager.cpp
    katequickopen.cpp
    katequickopenmodel.cpp
    katerunninginstanceinfo.cpp
    katesavemodifieddialog.cpp
    katetabbar.cpp
    katetabbutton.cpp
    kateviewmanager.cpp
    kateviewspace.cpp
    katewaiter.cpp
)

# Executable only adds the main definition.
add_executable(kate-bin main.cpp)
target_link_libraries(kate-bin PRIVATE kate-lib)

# Use a single application on MacOS + Windows instead of dbus.
if(APPLE OR WIN32)
  target_compile_definitions(kate-bin PRIVATE USE_QT_SINGLE_APP)

  target_sources(
    kate-lib
    PRIVATE
      qtsingleapplication/qtlocalpeer.cpp
      qtsingleapplication/qtsingleapplication.cpp
      qtsingleapplication/qtlockedfile.cpp
  )

  if(WIN32)
    target_sources(kate-lib PRIVATE qtsingleapplication/qtlockedfile_win.cpp)
  else()
    target_sources(kate-lib PRIVATE qtsingleapplication/qtlockedfile_unix.cpp)
  endif()
endif()

# application icon, in all sizes needed to have e.g. nice Windows icons, too
set(ICON_FILES
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kate.svg
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/16-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/22-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/32-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/44-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/48-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/64-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/128-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/150-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/256-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/310-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/512-apps-kate.png
)

# Add icon files to the application's source files to have CMake bundle them in the executable.
ecm_add_app_icon(ICONS_SOURCES ICONS ${ICON_FILES})
target_sources(kate-bin PRIVATE ${ICONS_SOURCES})

set_property(
  TARGET kate-bin
  PROPERTY OUTPUT_NAME kate
)

# See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
if(APPLE)
  set_property(
    TARGET kate-bin
    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in
  )

  # These are substituted by CMake into plist.in.
  set(MACOSX_BUNDLE_DISPLAY_NAME "Kate")
  set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Kate")
  set(MACOSX_BUNDLE_BUNDLE_NAME "Kate")
  set(MACOSX_BUNDLE_DISPLAY_NAME "Kate")
  set(MACOSX_BUNDLE_INFO_STRING "Kate - Advanced Text Editor")
  set(MACOSX_BUNDLE_LONG_VERSION_STRING "Kate ${KDE_APPLICATIONS_VERSION}")
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}")
  set(MACOSX_BUNDLE_BUNDLE_VERSION "${KDE_APPLICATIONS_VERSION}")
  set(MACOSX_BUNDLE_COPYRIGHT "2000-2016 The Kate Authors")
endif()

install(TARGETS kate-bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_install_icons(
  ICONS ${ICON_FILES}
  DESTINATION ${ICON_INSTALL_DIR}
  THEME hicolor
)

install(
  PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kate.desktop
  DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kate.appdata.xml
  DESTINATION ${CMAKE_INSTALL_METAINFODIR}
)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== addons/close-except-like/CMakeLists.txt ===
find_package(KF5IconThemes ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF5IconThemes PROPERTIES PURPOSE "Required to build the close-except-like addon")

if(NOT KF5IconThemes_FOUND)
  return()
endif()

add_library(katecloseexceptplugin MODULE "")
target_compile_definitions(katecloseexceptplugin PRIVATE TRANSLATION_DOMAIN="katecloseexceptplugin")

target_link_libraries(
  katecloseexceptplugin 
  PRIVATE
    KF5::TextEditor
    KF5::IconThemes
)

ki18n_wrap_ui(UI_SOURCES close_confirm_dialog.ui)
target_sources(katecloseexceptplugin PRIVATE ${UI_SOURCES})

target_sources(
  katecloseexceptplugin
  PRIVATE
    close_confirm_dialog.cpp
    close_except_plugin.cpp
    plugin.qrc
)

kcoreaddons_desktop_to_json(katecloseexceptplugin katecloseexceptplugin.desktop)
install(TARGETS katecloseexceptplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/filetree/CMakeLists.txt ===
find_package(KF5GuiAddons ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF5GuiAddons PROPERTIES PURPOSE "Required to build the katefiletree addon")

if(NOT KF5GuiAddons_FOUND)
  return()
endif()

add_library(katefiletreeplugin MODULE "")
target_compile_definitions(katefiletreeplugin PRIVATE TRANSLATION_DOMAIN="katefiletree")

target_link_libraries(
  katefiletreeplugin
  PUBLIC
    KF5::TextEditor
    KF5::GuiAddons
)

target_sources(
  katefiletreeplugin
  PRIVATE
    katefiletree.cpp
    katefiletreeconfigpage.cpp
    katefiletreemodel.cpp
    katefiletreeplugin.cpp
    katefiletreepluginsettings.cpp
    katefiletreeproxymodel.cpp
    plugin.qrc
)

kcoreaddons_desktop_to_json(katefiletreeplugin katefiletreeplugin.desktop)
install(TARGETS katefiletreeplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== addons/replicode/CMakeLists.txt ===
find_package(KF5IconThemes ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF5IconThemes PROPERTIES PURPOSE "Required to build the replicode addon")

if(NOT KF5IconThemes_FOUND)
  return()
endif()

add_library(katereplicodeplugin MODULE "")
target_compile_definitions(katereplicodeplugin PRIVATE TRANSLATION_DOMAIN="kate-replicode-plugin")

target_link_libraries(
  katereplicodeplugin 
  PRIVATE 
    KF5::TextEditor
    KF5::IconThemes
)

ki18n_wrap_ui(UI_SOURCES config.ui)
target_sources(katereplicodeplugin PRIVATE ${UI_SOURCES})

target_sources(
  katereplicodeplugin
  PRIVATE
    replicodeplugin.cpp
    replicodeconfigpage.cpp
    replicodeconfig.cpp
    replicodesettings.cpp
    replicodeview.cpp
    plugin.qrc
)

kcoreaddons_desktop_to_json(katereplicodeplugin katereplicodeplugin.desktop)
install(TARGETS katereplicodeplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/search/CMakeLists.txt ===
find_package(KF5ItemViews ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF5ItemViews PROPERTIES PURPOSE "Required to build the search addon")

if(NOT KF5ItemViews_FOUND)
  return()
endif()

add_library(katesearchplugin MODULE "")
target_compile_definitions(katesearchplugin PRIVATE TRANSLATION_DOMAIN="katesearch")

target_link_libraries(
  katesearchplugin 
  PRIVATE
    KF5::ItemViews
    KF5::TextEditor
)

ki18n_wrap_ui(UI_SOURCES search.ui results.ui)
target_sources(katesearchplugin PRIVATE ${UI_SOURCES})

target_sources(
  katesearchplugin
  PRIVATE
    plugin_search.cpp
    search_open_files.cpp
    SearchDiskFiles.cpp
    FolderFilesList.cpp
    replace_matches.cpp
    htmldelegate.cpp
    plugin.qrc
)

kcoreaddons_desktop_to_json(katesearchplugin katesearch.desktop)
install(TARGETS katesearchplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/tabswitcher/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

add_executable(tabswitcher_test "")
target_include_directories(tabswitcher_test PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/..)

find_package(Qt5Test ${QT_MIN_VERSION} QUIET REQUIRED)
target_link_libraries(
  tabswitcher_test 
  PRIVATE
    KF5::TextEditor
    Qt5::Test
)

target_sources(
  tabswitcher_test 
  PRIVATE 
    tabswitchertest.cpp 
    ../tabswitcherfilesmodel.cpp
)

add_test(NAME plugin-tabswitcher_test COMMAND tabswitcher_test)
ecm_mark_as_test(tabswitcher_test)

=== addons/tabswitcher/tests/CMakeLists.txt ===
add_executable(tstestapp "")

target_link_libraries(
  tstestapp 
  PRIVATE KF5::TextEditor
)

target_sources(
  tstestapp 
  PRIVATE 
    tstestapp.cpp 
    ../tabswitcherfilesmodel.cpp
)

=== debian/changelog ===
kate (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:06:38 +0000

kate (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:17:47 +0000

kate (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:51:45 +0000

kate (4:19.12.0-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu Vcs fields.
    - debian/control: Breaks/Replaces to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Mon, 23 Dec 2019 13:20:10 +0000

kate (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Drop upstream applied patches.
    - remove upstream_fix_KateSessionManagerTest.diff
    - remove upstream_fix_KateSessionsActionTest.diff
  * New upstream release (19.12.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:45:17 +0000

kate (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:30:04 +0000

kate (4:19.08.2-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu Vcs fields.
    - debian/control: Breaks/Replaces to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Oct 2019 11:01:01 +0100

kate (4:19.08.2-0ubuntu1) UNRELEASED; urgency=medium

  [ Rik Mills ]
  * Install new translations.
  * New upstream release (19.08.0)
  * Drop upstream_fix_missing_includes.diff now in source.
  * New upstream release (19.08.1)
  * Follow Debian in dropping tests:
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages.
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as
      they are not run at build time anyway.
    - Drop all patches, as they treid to fix faulty tests.
  * New upstream release (19.08.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Oct 2019 07:49:19 +0000

=== debian/control ===
--- 
+++ 
@@ -35,8 +35,8 @@
                qtbase5-dev (>= 5.10.0~),
 Standards-Version: 4.4.1
 Homepage: http://kate-editor.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
 
 Package: kate
 Section: editors
@@ -69,8 +69,8 @@
 Package: kate5-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
-Breaks: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
+Replaces: kate (<< 4:18.08.3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
+Breaks: kate (<< 4:18.08.3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
 Description: shared data files for Kate text editor
  This package contains the architecture-independent shared data files needed
  for Kate editor
@@ -79,8 +79,8 @@
 Section: editors
 Architecture: any
 Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
-Breaks: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
-Replaces: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
+Breaks: kate5-data (<< 4:18.08.3~), ${kde-l10n:all}
+Replaces: kate5-data (<< 4:18.08.3~), ${kde-l10n:all}
 Description: simple text editor
  KWrite is a simple text editor built on the KDE Platform. It uses the Kate
  editor component, so it supports powerful features such as flexible syntax

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_install:
	$(overridden_command) --fail-missing
